%define name	happy
%define version 1.8
%define release 1mdk

Summary:	Parser generator system for Haskell
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://haskell.cs.yale.edu/happy/
Source0:	http://haskell.cs.yale.edu/happy/dist/%{version}/happy-%{version}-src.tar.bz2
Copyright:	GPL
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	autoconf ghc gmp-devel openjade
Prefix:		%{_prefix}
ExcludeArch: alpha

%description
Happy is a parser generator system for Haskell, similar to the tool `yacc' for
C. Like `yacc', it takes a file containing an annotated BNF specification of a
grammar and produces a Haskell module containing a parser for the grammar.

Happy is flexible: unlike `yacc', you can have several Happy parsers in the
same program. Happy can work in conjunction with a lexical analyser supplied
by the user (either hand-written or generated by another program), or it can
parse a stream of characters directly (but this isn't practical in most cases).

%prep

%setup

%build
autoheader
autoconf
%{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force}
CFLAGS="%{optflags}" ./configure  --enable-hc-boot --target=%{_target_platform} --host=%{_target_platform} --prefix=%{_prefix}
make ProjectsToBuild="glafp-utils happy" WithHappyHc=ghc boot
make ProjectsToBuild="glafp-utils happy" WithHappyHc=ghc all
cd happy/doc ; cp happy.1.in happy.1 # could be better
#make -C happy/doc happy.html #doesn't work by now

%install
rm -rf $RPM_BUILD_ROOT
make ProjectsToInstall=happy install prefix=$RPM_BUILD_ROOT%{_prefix}

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 happy/doc/happy.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc happy/ANNOUNCE happy/CHANGES happy/README happy/TODO happy/doc/happy.*ml happy/examples
%{_mandir}/*/*
%{_bindir}/happy*
%{_libdir}/happy*

%changelog
* Thu Aug 31 2000 Pixel <pixel@mandrakesoft.com> 1.8-1mdk
- new version

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.6-5mdk
- automatically added BuildRequires

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.6-4mdk
- ExcludeArch: alpha (lazzy to fix or not possible to fix ?)

* Tue May 22 2000 David BAUDENS <baudens@mandrakesoft.com> 1.6-3mdk
- Fix %doc, Description & Summary

* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 1.6-2mdk
- new group

* Mon Feb  7 2000 Pixel <pixel@mandrakesoft.com> 1.6-1mdk
- initial spec
